NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.GeometricUtilities.BlendStopshortBuilderCollection Class Reference

This class contains the factory methods for creating an BlendStopshortBuilder. More...

Inheritance diagram for NXOpen.GeometricUtilities.BlendStopshortBuilderCollection:

Public Member Functions

NXOpen.GeometricUtilities.BlendStopshortBuilder[] ToArray ()
 Returns an array of NXOpen.GeometricUtilities.BlendStopshortBuilder objects. More...
 
unsafe
NXOpen.GeometricUtilities.BlendStopshortBuilder 
Create (NXOpen.GeometricUtilities.BlendStopshortBuilder.Choices mChoice, NXOpen.Expression mOnPathExp, NXOpen.Edge mPath, bool mIsFlipped, NXOpen.Point mThruPoint)
 Creates an BlendStopshortBuilder. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

This class contains the factory methods for creating an BlendStopshortBuilder.

To obtain an instance of this class, refer to NXOpen.Part

Created in NX5.0.0

Member Function Documentation

unsafe NXOpen.GeometricUtilities.BlendStopshortBuilder NXOpen.GeometricUtilities.BlendStopshortBuilderCollection.Create ( NXOpen.GeometricUtilities.BlendStopshortBuilder.Choices  mChoice,
NXOpen.Expression  mOnPathExp,
NXOpen.Edge  mPath,
bool  mIsFlipped,
NXOpen.Point  mThruPoint 
)

Creates an BlendStopshortBuilder.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
mChoicethe Stopshort option choice
mOnPathExpthe expression for the OnPathDimensionBuilder
mPaththe path for the OnPathDimensionBuilder
mIsFlippedthe isFlipped flag for the OnPathDimensionBuilder
mThruPointthe through point for the OnPathDimensionBuilder
Returns
override int NXOpen.GeometricUtilities.BlendStopshortBuilderCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

NXOpen.GeometricUtilities.BlendStopshortBuilder [] NXOpen.GeometricUtilities.BlendStopshortBuilderCollection.ToArray ( )

Property Documentation

Tag NXOpen.GeometricUtilities.BlendStopshortBuilderCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.